spring:
  application:
    name: @artifactId@
  cloud:
    nacos:
      discovery:
        server-addr: ${nacos.host}
        namespace: ${nacos.namespace}
        group: ${nacos.group}
        metadata:
          user:
            name: sanyi
            password: sanyiAdmin@.1
          management:
            context-path: /actuator
      config:
        namespace: ${spring.cloud.nacos.discovery.namespace}
        group: ${spring.cloud.nacos.discovery.group}
        server-addr: ${spring.cloud.nacos.discovery.server-addr}
        file-extension: yml
        shared-configs:
          - dataId: application-admin-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
            group: COMMON_GROUP
          - dataId: application-mail-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
            group: COMMON_GROUP
          - dataId: application-log-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
            group: COMMON_GROUP
            refresh: true
  thymeleaf:
    check-template: false
    check-template-location: false
  profiles:
    active: @profiles.active@
  main:
    allow-bean-definition-overriding: true



